Bug 605998 - Review Request: python-pretty - Extensible pprint successor
Summary: Review Request: python-pretty - Extensible pprint successor
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Chen Lei
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 603937
TreeView+ depends on / blocked
 
Reported: 2010-06-19 21:05 UTC by Thomas Spura
Modified: 2010-06-21 21:47 UTC (History)
3 users (show)

Fixed In Version: python-pretty-0.1-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-21 21:47:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
supercyper1: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Thomas Spura 2010-06-19 21:05:09 UTC
Spec URL: http://tomspur.fedorapeople.org/review/python-pretty.spec
SRPM URL: http://tomspur.fedorapeople.org/review/python-pretty-0.1-1.fc13.src.rpm
Description:
Python advanced pretty printer.  This pretty printer is intended to
replace the old `pprint` python module which does not allow developers
to provide their own pretty print callbacks.


###############################################################################

This package is needed for ipython, which currently bundles this one as a library.

Comment 1 Chen Lei 2010-06-20 04:17:04 UTC
rpmlint python-pretty-0.1-1.fc13.noarch.rpm 
python-pretty.noarch: W: spelling-error Summary(en_US) pprint -> print, sprint, Sprint
python-pretty.noarch: W: spelling-error %description -l en_US pprint -> print, sprint, Sprint
python-pretty.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
All warnings are harmless and won't fix.

Upstream sources match sources in the srpm. md5sum:
d54ea60ac41336498c7d53f155d9b25d  pretty-0.1.tar.gz

This package is approved.

Thomas,

Please be careful when unbundling python modules in ipython, some bundled 3rd modules may be incompatible with the original ones.

Comment 2 Thomas Spura 2010-06-20 11:04:22 UTC
Thanks, for the review :)

I intent to follow upstream a bit more closely, so hopefully, I'll notice, when upstreams bundled lib is outdated in comparison with this one...

###############################################################################

New Package CVS Request
=======================
Package Name: python-pretty
Short Description: Extensible pprint successor
Owners: tomspur
Branches: F-12 F-13 EL-5 EL-6
InitialCC:

Comment 3 Kevin Fenzi 2010-06-21 02:32:50 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Fedora Update System 2010-06-21 08:25:39 UTC
python-pretty-0.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-pretty-0.1-1.fc12

Comment 5 Fedora Update System 2010-06-21 08:25:44 UTC
python-pretty-0.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-pretty-0.1-1.fc13

Comment 6 Fedora Update System 2010-06-21 21:47:16 UTC
python-pretty-0.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-06-21 21:47:30 UTC
python-pretty-0.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.